package com.ygtx.emcs.activity.adapter;

import android.graphics.Color;

public enum StatusOutEnum {
    STATUS_0(Color.BLUE, "就绪"),
    STATUS_1(Color.GREEN, "待出库"),
    STATUS_2(Color.GREEN, "已完成"),
    STATUS_3(Color.BLACK, "已取消"),
    STATUS_4(Color.RED, "异常中");

    public final Integer color;
    public final String text;

    StatusOutEnum(Integer color, String text) {
        this.color = color;
        this.text = text;
    }
    public static StatusOutEnum filter(String code){
        return StatusOutEnum.valueOf("STATUS_"+code);
    }
}
